Get crypto networks
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/collection/crypto/networks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/collection/crypto/networks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/collection/crypto/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/collection/crypto/networks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/collection/crypto/networks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto networks retrieved successfully.",
"data": {
"success": true,
"message": "Networks fetched successfully",
"status": 200,
"data": [
{
"id": 1,
"name": "Ethereum Mainnet",
"identifier": "ETHEREUM_MAINNET",
"tokens": [
{
"id": 1,
"name": "USDT",
"symbol": "USDT",
"address": "0x1234567890"
},
{
"id": 2,
"name": "USDC",
"symbol": "USDC",
"address": "0x0987654321"
}
]
},
{
"id": 2,
"name": "Polygon Mainnet",
"identifier": "MATIC_MAINNET",
"tokens": [
{
"id": 1,
"name": "USDT",
"symbol": "USDT",
"address": "0x1234567890"
}
]
}
]
}
}{
"message": "Invalid or missing access token"
}Crypto
Get crypto networks
Retrieve all available blockchain networks and their supported tokens. Required scope: collection:crypto:create.
GET
/
api
/
external
/
collection
/
crypto
/
networks
Get crypto networks
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Headers
Content type header.
Was this page helpful?
⌘I

